Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Apr 2021 17:38:52 +0200

Stefan Monnier <[email-masked]> writes:

> FWIW, I don't see what's "intrusive" about the "blink top and bottom lines of
> the selected frame" which I currently see in GNU/Linux.

In this Emacs, it blinks the two topmost lines.  Which may be a bug?

> It may not be slick but it does the job and I don't find it intrusive.
> Of course, I'm biased (I've used it for too many years), but it's
> clearly less intrusive than the non-visual bell.

It's more intrusive than what many people are using -- which is neither
an audible nor a visible bell, but just the echo area saying "Quit" when
you hit `C-g' (etc).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no